CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   LibPstreamso (http://www.cfd-online.com/Forums/openfoam-installation/57737-libpstreamso.html)

r2d2 June 27, 2005 11:27

Hi, I am trying to get OpenF
 
Hi,
I am trying to get OpenFOAM to run on our cluster that uses MPICH and myrinet so Ive modified the parallel variables in .bashrc and .OpenFoam-1.1/bashrc to point to my version of mpich (1.2.5..11) and the gm2_3.3. Now I generated a libPstream.so and rebuilt the utilities to have a starting point for doing some meshing. Problem is that when I use for instance the blockMesh command I get a message like:

error: .../libPstream.so: symbol
errno, version GLIB_2.0 not defined in file libc.so.6 with link time reference

Is there any way of sorting this out?
Cheers,
Radu

henry June 27, 2005 11:38

Are you using a binary release
 
Are you using a binary release of OpenFOAM or did you build from sources?

It looks like you have a library compatability problem and you need to build everything consistently, i.e. with the same compiler and including the same libraries. The easiest way would be to rebuild the myrinet mpich but I guess you don't have sources for that so you will probably have to rebuild OpenFOAM.


All times are GMT -4. The time now is 23:58.